## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanXMLChar Struct Reference

List of all members.

## Public Types

- enum eType {
  XML_XX = 0, XML_BC = 1, XML_ID = 2, XML_EX = 3,
  XML_DI = 4, XML_CC = 5, XML_WS = 6
  }

## Static Public Member Functions

- bool isBaseChar (XalanDOMChar c)
- bool isIdeographic (XalanDOMChar c)
- bool isExtender (XalanDOMChar c)
- bool isDigit (XalanDOMChar c)
- bool isCombiningChar (XalanDOMChar c)
- bool isWhitespace (XalanDOMChar c)
- bool isLetter (XalanDOMChar c)

## Static Public Attributes

- const char theUnicodeTable []

## Member Enumeration Documentation

enum XalanXMLChar::eType

  | Enumeration values:
  XML_XX |
  XML_BC |
  XML_ID |
  XML_EX |
  XML_DI |
  XML_CC |
  XML_WS |

## Member Function Documentation

bool XalanXMLChar::isBaseChar | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isCombiningChar | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isDigit | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isExtender | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isIdeographic | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isLetter | ( | XalanDOMChar | c | ) | `[static]`

bool XalanXMLChar::isWhitespace | ( | XalanDOMChar | c | ) | `[static]`

## Member Data Documentation

const char XalanXMLChar::theUnicodeTable[]`[static]`

The documentation for this struct was generated from the following file:

- XalanXMLChar.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.